CachingIterator::__toString
DirectoryIterator
CachingIterator
PHP Manual

# CachingIterator::valid

(PHP 5)

CachingIterator::valid — Check whether the current element is valid

### Description

public void CachingIterator::valid ( void )
Warning

This function is currently not documented; only its argument list is available.

Check whether the current element is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

CachingIterator::__toString
DirectoryIterator
CachingIterator
PHP Manual